<?php
/**
 * Customize for General Style
 */
return [ 
    [
        'name' => 'zoo_blog_style',
        'type' => 'section',
        'label' => esc_html__('Blog Style', 'cerato'),
        'panel' => 'zoo_style',
    ],
    [
        'name' => 'zoo_blog_archive_heading_color',
        'type' => 'heading',
        'section' => 'zoo_blog_style',
        'title' => esc_html__('Blog Archive', 'cerato'),
    ],
    [
        'name' => 'zoo_blog_title_color',
        'type' => 'color',
        'section' => 'zoo_blog_style',
        'title' => esc_html__('Title Color', 'cerato'),
        'selector' => ".wrap-loop-content .post-loop-item .entry-title a",
        'css_format' => 'color: {{value}};',
    ],    [
        'name' => 'zoo_site_title_color_hover',
        'type' => 'color',
        'section' => 'zoo_blog_style',
        'title' => esc_html__('Title Color Hover', 'cerato'),
        'selector' => ".wrap-loop-content .post-loop-item .entry-title a:hover",
        'css_format' => 'color: {{value}};',
    ],
    [
        'name' => 'zoo_blog_date_color',
        'type' => 'color',
        'section' => 'zoo_blog_style',
        'title' => esc_html__('Post date color', 'cerato'),
        'selector' => ".post-loop-item .post-date",
        'css_format' => 'color: {{value}};',
    ],[
        'name' => 'zoo_blog_excerpt_color',
        'type' => 'color',
        'section' => 'zoo_blog_style',
        'title' => esc_html__('Excerpt color', 'cerato'),
        'selector' => ".post-loop-item .entry-content",
        'css_format' => 'color: {{value}};',
    ],[
        'name' => 'zoo_blog_readmore_color',
        'type' => 'color',
        'section' => 'zoo_blog_style',
        'title' => esc_html__('Read More color', 'cerato'),
        'selector' => "#site-main-content .post-loop-item .zoo-post-inner .zoo-post-content .readmore",
        'css_format' => 'color: {{value}};',
    ],[
        'name' => 'zoo_blog_readmore_color_hover',
        'type' => 'color',
        'section' => 'zoo_blog_style',
        'title' => esc_html__('Link color hover', 'cerato'),
        'selector' => "#site-main-content .post-loop-item .zoo-post-inner .zoo-post-content .readmore:hover",
        'css_format' => 'color: {{value}};',
    ],
    [
        'name' => 'zoo_blog_single_heading_color',
        'type' => 'heading',
        'section' => 'zoo_blog_style',
        'title' => esc_html__('Blog Single', 'cerato'),
    ],
    [
        'name' => 'zoo_blog_single_title_color',
        'type' => 'color',
        'section' => 'zoo_blog_style',
        'title' => esc_html__('Title post', 'cerato'),
        'selector' => ".content-single-post .title-detail",
        'css_format' => 'color: {{value}};',
    ],[
        'name' => 'zoo_blog_single_info_color',
        'type' => 'color',
        'section' => 'zoo_blog_style',
        'title' => esc_html__('Post Information', 'cerato'),
        'description' => esc_html__('Color of block date post, categories, author.', 'cerato'),
        'selector' => ".content-single-post .content-single .post .header-post .post-info li a",
        'css_format' => 'color: {{value}};',
    ],[
        'name' => 'zoo_blog_single_info_color_hover',
        'type' => 'color',
        'section' => 'zoo_blog_style',
        'title' => esc_html__('Post Information Link hover', 'cerato'),
        'description' => esc_html__('Color hover link of block date post, categories, author.', 'cerato'),
        'selector' => ".content-single-post .content-single .post .header-post .post-info li a:hover",
        'css_format' => 'color: {{value}};',
    ],
];
