<?php
/**
 * Customize for Shop loop product
 */
return [
	[
		'type'           => 'section',
		'name'           => 'zoo_shop',
		'title'          => esc_html__( 'Shop Page', 'cerato' ),
		'panel'          => 'woocommerce',
		'theme_supports' => 'woocommerce'
	],
	[
		'name'           => 'zoo_shop_general_settings',
		'type'           => 'heading',
		'label'          => esc_html__( 'General Settings', 'cerato' ),
		'section'        => 'zoo_shop',
		'theme_supports' => 'woocommerce'
	],
	[
		'type'        => 'number',
		'name'        => 'zoo_products_number_items',
		'label'       => esc_html__( 'Product Per Page', 'cerato' ),
		'section'     => 'zoo_shop',
		'description' => esc_html__( 'Number product display per page.', 'cerato' ),
		'input_attrs' => array(
			'min'   => 0,
			'max'   => 300,
			'class' => 'zoo-range-slider'
		),
		'default'     => 9
	],
	[
		'name'           => 'zoo_enable_catalog_mod',
		'type'           => 'checkbox',
		'section'        => 'zoo_shop',
		'label'          => esc_html__( 'Enable Catalog Mod', 'cerato' ),
		'checkbox_label' => esc_html__( 'Will be enabled if checked.', 'cerato' ),
		'theme_supports' => 'woocommerce',
		'default'        => 0
	],
	[
		'name'           => 'zoo_enable_free_shipping_notice',
		'type'           => 'checkbox',
		'section'        => 'zoo_shop',
		'label'          => esc_html__( 'Enable Free Shipping Notice', 'cerato' ),
		'checkbox_label' => esc_html__( 'Free shipping thresholds will show in cart if checked.', 'cerato' ),
		'theme_supports' => 'woocommerce',
		'default'        => 1,
	],
	[
		'name'           => 'zoo_enable_shop_heading',
		'type'           => 'checkbox',
		'section'        => 'zoo_shop',
		'label'          => esc_html__( 'Enable Shop Heading', 'cerato' ),
		'checkbox_label' => esc_html__( 'Display product archive title and description.', 'cerato' ),
		'theme_supports' => 'woocommerce',
		'default'        => 1,
	],
	[
		'name'        => 'zoo_shop_banner',
		'type'        => 'image',
		'section'     => 'zoo_shop',
		'title'       => esc_html__( 'Shop banner', 'cerato' ),
		'description' => esc_html__( 'Banner image display at top Products page. It will override by Category image.', 'cerato' ),
		'required'    => [ 'zoo_enable_shop_heading', '==', '1' ],
	],
	[
		'name'           => 'zoo_shop_layout_settings',
		'type'           => 'heading',
		'label'          => esc_html__( 'Layout Settings', 'cerato' ),
		'section'        => 'zoo_shop',
		'theme_supports' => 'woocommerce'
	],
	[
		'name'    => 'zoo_shop_sidebar',
		'type'    => 'select',
		'section' => 'zoo_shop',
		'title'   => esc_html__( 'Shop Sidebar', 'cerato' ),
		'default' => 'off-canvas',
		'choices' => [
			'top'        => esc_html__( 'Top (Horizontal)', 'cerato' ),
			'left'       => esc_html__( 'Left', 'cerato' ),
			'right'      => esc_html__( 'Right', 'cerato' ),
			'off-canvas' => esc_html__( 'Off canvas', 'cerato' ),
		]
	],
	[
		'type'           => 'checkbox',
		'name'           => 'zoo_shop_full_width',
		'label'          => esc_html__( 'Enable Shop Full Width', 'cerato' ),
		'section'        => 'zoo_shop',
		'default'        => '0',
		'checkbox_label' => esc_html__( 'Shop layout will full width if enabled.', 'cerato' ),
	],
	[
		'type'           => 'checkbox',
		'name'           => 'zoo_enable_shop_loop_item_border',
		'label'          => esc_html__( 'Enable Product border', 'cerato' ),
		'section'        => 'zoo_shop',
		'default'        => '0',
		'checkbox_label' => esc_html__( 'Enable border for product item.', 'cerato' ),
	],
	[
		'type'           => 'checkbox',
		'name'           => 'zoo_enable_highlight_featured_product',
		'label'          => esc_html__( 'Enable High light Featured Product', 'cerato' ),
		'section'        => 'zoo_shop',
		'default'        => '0',
		'checkbox_label' => esc_html__( 'Featured product will display bigger more than another product.', 'cerato' ),
	],
	[
		'type'        => 'number',
		'name'        => 'zoo_shop_loop_item_gutter',
		'label'       => esc_html__( 'Product Gutter', 'cerato' ),
		'section'     => 'zoo_shop',
		'description' => esc_html__( 'White space between product item.', 'cerato' ),
		'input_attrs' => array(
			'min'   => 0,
			'max'   => 100,
			'class' => 'zoo-range-slider'
		),
		'default'     => 30
	],
	[
		'name'        => 'zoo_shop_cols_desktop',
		'type'        => 'number',
		'label'       => esc_html__( 'Shop loop columns', 'cerato' ),
		'description' => esc_html__( 'Number product per row in shop page.', 'cerato' ),
		'section'     => 'zoo_shop',
		'input_attrs' => array(
			'min'   => 2,
			'max'   => 6,
			'class' => 'zoo-range-slider'
		),
		'default'     => 4
	],
	[
		'name'        => 'zoo_shop_cols_tablet',
		'type'        => 'number',
		'label'       => esc_html__( 'Shop loop columns on Tablet', 'cerato' ),
		'section'     => 'zoo_shop',
		'unit'        => false,
		'input_attrs' => array(
			'min'   => 1,
			'max'   => 4,
			'class' => 'zoo-range-slider'
		),
		'default'     => 2,
	],
	[
		'name'        => 'zoo_shop_cols_mobile',
		'type'        => 'number',
		'label'       => esc_html__( 'Shop loop columns on Mobile', 'cerato' ),
		'section'     => 'zoo_shop',
		'input_attrs' => array(
			'min'   => 1,
			'max'   => 2,
			'class' => 'zoo-range-slider'
		),
		'default'     => 2,
	],
	[
		'name'           => 'zoo_shop_product_item_settings',
		'type'           => 'heading',
		'label'          => esc_html__( 'Product Item Settings', 'cerato' ),
		'section'        => 'zoo_shop',
		'theme_supports' => 'woocommerce'
	],
	[
		'name'    => 'zoo_product_hover_effect',
		'type'    => 'select',
		'section' => 'zoo_shop',
		'title'   => esc_html__( 'Product item hover effect', 'cerato' ),
		'default' => 'default',
		'choices' => [
			'default'        => esc_html__( 'Default', 'cerato' ),
			'style-2'        => esc_html__( 'Style 2', 'cerato' ),
			'style-3'        => esc_html__( 'Style 3', 'cerato' ),
			'style-4'        => esc_html__( 'Style 4', 'cerato' ),
			'style-5'        => esc_html__( 'Style 5', 'cerato' ),
		]
	],
	[
		'name'           => 'zoo_enable_shop_loop_cart',
		'type'           => 'checkbox',
		'section'        => 'zoo_shop',
		'label'          => esc_html__( 'Enable Shop Loop Cart', 'cerato' ),
		'checkbox_label' => esc_html__( 'Button Add to cart will show if checked.', 'cerato' ),
		'theme_supports' => 'woocommerce',
		'default'        => 0,
		'required'       => [ 'zoo_enable_catalog_mod', '!=', 1 ],
	],
	[
		'name'    => 'zoo_shop_cart_icon',
		'type'    => 'icon',
		'section' => 'zoo_shop',
		'title'   => esc_html__( 'Cart icon', 'cerato' ),
		'default' => [
			'type' => 'zoo-icon',
			'icon' => 'zoo-icon-cart'
		]
	],
	[
		'type'           => 'checkbox',
		'name'           => 'zoo_enable_alternative_images',
		'label'          => esc_html__( 'Enable Alternative Image', 'cerato' ),
		'section'        => 'zoo_shop',
		'default'        => '1',
		'checkbox_label' => esc_html__( 'Alternative Image will show if checked.', 'cerato' ),
	],
	[
		'type'    => 'select',
		'name'    => 'zoo_sale_type',
		'label'   => esc_html__( 'Sale label type display', 'cerato' ),
		'section' => 'zoo_shop',
		'default' => 'text',
		'choices' => [
			'none'=> esc_html__( 'None', 'cerato' ),
			'numeric' => esc_html__( 'Numeric', 'cerato' ),
			'text'    => esc_html__( 'Text', 'cerato' ),
		]
	],
	[
		'type'           => 'checkbox',
		'name'           => 'zoo_enable_shop_new_label',
		'label'          => esc_html__( 'Show New Label', 'cerato' ),
		'section'        => 'zoo_shop',
		'default'        => '1',
		'checkbox_label' => esc_html__( 'Stock New will show if checked.', 'cerato' ),
	],
	[
		'type'           => 'checkbox',
		'name'           => 'zoo_enable_shop_stock_label',
		'label'          => esc_html__( 'Show Stock Label', 'cerato' ),
		'section'        => 'zoo_shop',
		'default'        => '1',
		'checkbox_label' => esc_html__( 'Stock label will show if checked.', 'cerato' ),
	],
	[
		'type'           => 'checkbox',
		'name'           => 'zoo_enable_quick_view',
		'label'          => esc_html__( 'Enable Quick View', 'cerato' ),
		'section'        => 'zoo_shop',
		'default'        => '1',
		'checkbox_label' => esc_html__( 'Button quick view will show if checked.', 'cerato' ),
	],
	[
		'type'           => 'checkbox',
		'name'           => 'zoo_enable_shop_loop_rating',
		'label'          => esc_html__( 'Show rating', 'cerato' ),
		'section'        => 'zoo_shop',
		'default'        => '1',
		'checkbox_label' => esc_html__( 'Show rating in product item if checked.', 'cerato' ),
	],
	[
		'type'           => 'checkbox',
		'name'           => 'zoo_enable_shop_loop_count_down_timer',
		'label'          => esc_html__( 'Show Count Down Timer', 'cerato' ),
		'section'        => 'zoo_shop',
		'default'        => '1',
		'checkbox_label' => esc_html__( 'Show count down timer in product item if checked.', 'cerato' ),
	],
	/*Product image thumb for gallery*/
	[
		'name'           => 'zoo_gallery_thumbnail_heading',
		'type'           => 'heading',
		'label'          => esc_html__( 'Gallery Thumbnail', 'cerato' ),
		'section'        => 'woocommerce_product_images',
		'theme_supports' => 'woocommerce'
	],
	[
		'type'           => 'number',
		'name'           => 'zoo_gallery_thumbnail_width',
		'label'          => esc_html__( 'Gallery Thumbnail Width', 'cerato' ),
		'section'        => 'woocommerce_product_images',
		'default'        => '120',
		'description' => esc_html__( 'Max width of image for gallery thumbnail.', 'cerato' ),
	],
	[
		'type'           => 'number',
		'name'           => 'zoo_gallery_thumbnail_height',
		'label'          => esc_html__( 'Gallery Thumbnail Height', 'cerato' ),
		'section'        => 'woocommerce_product_images',
		'default'        => '120',
	],
	[
		'type'           => 'checkbox',
		'name'           => 'zoo_gallery_thumbnail_crop',
		'label'          => esc_html__( 'Crop', 'cerato' ),
		'section'        => 'woocommerce_product_images',
		'default'        => '0',
		'checkbox_label' => esc_html__( 'Crop Gallery Thumbnail.', 'cerato' ),
	],

	[
		'name'           => 'zoo_limit_title_shop_loop_settings',
		'type'           => 'heading',
		'label'          => esc_html__( 'Limit Words for Title Shop Loop', 'cerato' ),
		'section'        => 'zoo_shop',
		'theme_supports' => 'woocommerce'
	],
	[
		'type'           => 'number',
		'name'           => 'zoo_number_limit_title_shop_loop',
		'label'          => esc_html__( 'Number Limit Words', 'cerato' ),
		'section'        => 'zoo_shop',
		'default'        => 55,
	],
	[
		'type'           => 'text',
		'name'           => 'zoo_more_limit_title_shop_loop',
		'label'          => esc_html__( 'Append If Text Needs To Be Trimmed', 'cerato' ),
		'section'        => 'zoo_shop',
		'default'        => null,
		'description' => esc_html__( 'Append to the end of the trimmed text, e.g. ….', 'cerato' ),
	],
];
