<?php
/**
 * Product custom meta
 * @package     Zoo Theme
 * @version     3.0.0
 * @author      Zootemplate
 * @link        https://www.zootemplate.com/
 * @copyright   Copyright (c) 2018 ZooTemplate
 *
 */

global $product, $wpdb;
?>
<div class="product_meta wrap-custom-meta">
    <div class="wrap-left-custom-meta">
	<?php
	/**
	 * This is custom hook, allow add another template to this hook
	 * */
	do_action( 'zoo_custom_before_product_meta' );
	if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) :
		?>
	<div class="custom-meta-inner">
		<span class="sku_wrapper">
            <span class="heading-meta"><?php esc_html_e( 'SKU:', 'woocommerce' ); ?></span>
            <span class="sku"><?php if ( $sku = $product->get_sku() ) {
                    echo esc_html( $sku );
                } else {
                    esc_html_e( 'N/A', 'woocommerce' );
                } ?>
            </span>
        </span>
        <?php
        $stock = null;
        $product_id = get_the_id();
        if($product->is_type( 'variable' )){
        	$stock = $wpdb->get_var("
						            SELECT SUM(pm.meta_value)
						            FROM {$wpdb->prefix}posts as p
						            JOIN {$wpdb->prefix}postmeta as pm ON p.ID = pm.post_id
						            WHERE p.post_type = 'product_variation'
						            AND p.post_status = 'publish'
						            AND p.post_parent = '$product_id'
						            AND pm.meta_key = '_stock'
						            AND pm.meta_value IS NOT NULL
						        ");
        }else{
        	$stock = $product->get_stock_quantity();
        }
		if($stock && get_option('woocommerce_manage_stock') == 'yes'){
			echo '<div class="stock-quantity">'.$stock . '&nbsp;'.esc_html__('in stock','woocommerce').'</div>';
		} ?>
	</div>
	<?php
	endif;
	/**
	 * This is custom hook, allow add another template to this hook
	 * */
	do_action( 'zoo_custom_after_product_meta' );
	?>
    </div>
    <?php
    do_action('zoo_product_enable_sold_per_day');
    ?>
</div>